Loading...
Searching...
No Matches
Opm::SplineTwoPhaseMaterialParams< TraitsT > Class Template Reference

Specification of the material parameters for a two-phase material law which uses a table and spline-based interpolation. More...

`#include <SplineTwoPhaseMaterialParams.hpp>`

Inheritance diagram for Opm::SplineTwoPhaseMaterialParams< TraitsT >:

## Public Types

typedef std::vector< Scalar > | SamplePoints
typedef ::Opm::Spline< Scalar > | Spline
typedef Spline::SplineType | SplineType
typedef TraitsT | Traits

## Public Member Functions

const Spline & | pcnwSpline () const
| Return the sampling points for the capillary pressure curve.
void | setPcnwSamples (const SamplePoints &SwSamplePoints, const SamplePoints &pcnwSamplePoints, SplineType splineType=Spline::Monotonic)
| Set the sampling points for the capillary pressure curve.
const Spline & | krwSpline () const
| Return the sampling points for the relative permeability curve of the wetting phase.
void | setKrwSamples (const SamplePoints &SwSamplePoints, const SamplePoints &krwSamplePoints, SplineType splineType=Spline::Monotonic)
| Set the sampling points for the relative permeability curve of the wetting phase.
const Spline & | krnSpline () const
| Return the sampling points for the relative permeability curve of the non-wetting phase.
void | setKrnSamples (const SamplePoints &SwSamplePoints, const SamplePoints &krnSamplePoints, SplineType splineType=Spline::Monotonic)
| Set the sampling points for the relative permeability curve of the non-wetting phase.
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class TraitsT>
class Opm::SplineTwoPhaseMaterialParams< TraitsT >

Specification of the material parameters for a two-phase material law which uses a table and spline-based interpolation.

## Member Function Documentation

## krnSpline()

template<class TraitsT>

const Spline & Opm::SplineTwoPhaseMaterialParams< TraitsT >::krnSpline | ( |  | ) | const

inline

Return the sampling points for the relative permeability curve of the non-wetting phase.

This curve is assumed to depend on the wetting phase saturation

## krwSpline()

template<class TraitsT>

const Spline & Opm::SplineTwoPhaseMaterialParams< TraitsT >::krwSpline | ( |  | ) | const

inline

Return the sampling points for the relative permeability curve of the wetting phase.

This curve is assumed to depend on the wetting phase saturation

## pcnwSpline()

template<class TraitsT>

const Spline & Opm::SplineTwoPhaseMaterialParams< TraitsT >::pcnwSpline | ( |  | ) | const

inline

Return the sampling points for the capillary pressure curve.

This curve is assumed to depend on the wetting phase saturation

## setKrnSamples()

template<class TraitsT>

void Opm::SplineTwoPhaseMaterialParams< TraitsT >::setKrnSamples | ( | const SamplePoints & | SwSamplePoints,
|  | const SamplePoints & | krnSamplePoints,
|  | SplineType | splineType = Spline::Monotonic )

inline

Set the sampling points for the relative permeability curve of the non-wetting phase.

This curve is assumed to depend on the wetting phase saturation

## setKrwSamples()

template<class TraitsT>

void Opm::SplineTwoPhaseMaterialParams< TraitsT >::setKrwSamples | ( | const SamplePoints & | SwSamplePoints,
|  | const SamplePoints & | krwSamplePoints,
|  | SplineType | splineType = Spline::Monotonic )

inline

Set the sampling points for the relative permeability curve of the wetting phase.

This curve is assumed to depend on the wetting phase saturation

## setPcnwSamples()

template<class TraitsT>

void Opm::SplineTwoPhaseMaterialParams< TraitsT >::setPcnwSamples | ( | const SamplePoints & | SwSamplePoints,
|  | const SamplePoints & | pcnwSamplePoints,
|  | SplineType | splineType = Spline::Monotonic )

inline

Set the sampling points for the capillary pressure curve.

This curve is assumed to depend on the wetting phase saturation

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/SplineTwoPhaseMaterialParams.hpp